Particle generator flag: instantly kill generator
2003-10-06 18:27 - danij

Status: New Start date: 2003-10-06
Priority: Lowest % Done: 0%
Assignee:

Category:

Target version: Rendering

Description

A new particle generator flag is needed:

Instantly kill a generator when the associated mobj dies.
Sometimes it is necessary to use the static flag when
creating generators, but as expected they live on after

the associated mobj dies.

Labels: Graphics

Related issues:

Related to Feature #1617: Scoped definitions and variables New 2013-10-21

History

#1 - 2003-10-12 18:34 - skyjake

Instantly kill a generator when the associated mobj dies.

Does "mobj" refer to a monster that dies? Is the problem that the generator is still active on the corpse?
That might be a bit trickier to change, because the death of a monster isn't easily visible from the engine's point of view.

#2 - 2003-11-10 11:20 - danij

Logged In: YES
user_id=849456

Yes I'm refering to monsters where the generator is still activ
on the corpse.

#3 - 2013-10-21 16:13 - skyjake
- Tags set to Particles

- Subject changed from Particle Generator Flag - Instantly Kill generator to Particle generator flag: instantly kill generator

#4 - 2013-10-21 16:14 - skyjake

Might be more elegant to set a scope condition (or some kind of selector) that says the target must be a mobj with health > 0.

#5 - 2013-10-21 21:04 - danij

Actually that would probably be a better solution anyway, given that mobjs can be reanimated (e.g., Archvile in DOOM).

#6 - 2013-10-22 07:19 - skyjake

- Priority changed from Normal to Lowest

#7 - 2019-11-29 15:26 - skyjake

- Target version set to Rendering
